pcl::Axis Struct Reference
Module common

A point structure representing an Axis using its normal coordinates. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::Axis:

## Public Member Functions

| Axis (const _Axis &p)
| Axis ()
| Axis (float n_x, float n_y, float n_z)

## Friends

std::ostream & | operator<< (std::ostream &os, const Axis &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_Axis
| PCL_ADD_NORMAL4D

## Detailed Description

A point structure representing an Axis using its normal coordinates.

(SSE friendly)

Definition at line 832 of file point_types.hpp.

## Constructor & Destructor Documentation

## Axis() [1/3]

pcl::Axis::Axis | ( | const _Axis & | p | ) |

inline

Definition at line 834 of file point_types.hpp.

## Axis() [2/3]

pcl::Axis::Axis | ( |  | ) |

inline

Definition at line 840 of file point_types.hpp.

## Axis() [3/3]

pcl::Axis::Axis | ( | float | n_x,
|  | float | n_y,
|  | float | n_z
| ) |  |

inline

Definition at line 845 of file point_types.hpp.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const Axis & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp